Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class IncludedCssStyleSheet

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.IncludedCssStyleSheet

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class IncludedCssStyleSheet

extends org.eclipse.birt.report.model.core.Structure

Included css style sheet structure

Field Summary
`static java.lang.String` | `EXTERNAL_CSS_URI_MEMBER` Name of the external css file member.
`protected java.lang.String` | `externalCssURI` The URI of the external css.
`static java.lang.String` | `FILE_NAME_MEMBER` Name of the file name member.
`protected java.lang.String` | `fileName` The file name of the included library.
`static java.lang.String` | `INCLUDED_CSS_STRUCT` Name of this structure.

Constructor Summary
`IncludedCssStyleSheet()`

Method Summary
`java.lang.String` | `getExternalCssURI()` Gets the URI of the external CSS.
`java.lang.String` | `getFileName()` Gets the file name of the include css.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`void` | `setExternalCssURI(java.lang.String externalCssURI)` Sets the URI of the external CSS.
`void` | `setFileName(java.lang.String theFileName)` Sets the file name of the include css.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDED_CSS_STRUCT

    public static final java.lang.String INCLUDED_CSS_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### FILE_NAME_MEMBER

    public static final java.lang.String FILE_NAME_MEMBER

  Name of the file name member. This member is required for the structure.

  See Also:
    Constant Field Values

### EXTERNAL_CSS_URI_MEMBER

    public static final java.lang.String EXTERNAL_CSS_URI_MEMBER

  Name of the external css file member.

  See Also:
    Constant Field Values

### fileName

    protected java.lang.String fileName

  The file name of the included library.

### externalCssURI

    protected java.lang.String externalCssURI

  The URI of the external css.

Constructor Detail

### IncludedCssStyleSheet

    public IncludedCssStyleSheet()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`

### getFileName

    public java.lang.String getFileName()

  Gets the file name of the include css.

  Returns:
    the file name of the include css

### setFileName

    public void setFileName(java.lang.String theFileName)

  Sets the file name of the include css.

  Parameters:
    `theFileName` - the new file name to set

### getExternalCssURI

    public java.lang.String getExternalCssURI()

  Gets the URI of the external CSS.

  Returns:
    the URI of the external CSS

### setExternalCssURI

    public void setExternalCssURI(java.lang.String externalCssURI)

  Sets the URI of the external CSS.

  Parameters:
    `externalCssURI` - the URI of the external CSS

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.